org.apache.ignite.ml.xgboost.parser.visitor

## Class XGTreeVisitor

- java.lang.Object
- - org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
  - - org.apache.ignite.ml.xgboost.parser.XGBoostModelBaseVisitor<DecisionTreeNode>
    - - org.apache.ignite.ml.xgboost.parser.visitor.XGTreeVisitor

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTreeVisitor<DecisionTreeNode>, XGBoostModelVisitor<DecisionTreeNode>

      public class XGTreeVisitor
      extends XGBoostModelBaseVisitor<DecisionTreeNode>

  XGBoost tree visitor that parses tree.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XGTreeVisitor(Map<String,Integer> dict)` Constructs a new instance of tree visitor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DecisionTreeNode` | `visitXgTree(XGBoostModelParser.XgTreeContext ctx)` Visit a parse tree produced by `XGBoostModelParser.xgTree()`.

    - ### Methods inherited from class org.apache.ignite.ml.xgboost.parser.XGBoostModelBaseVisitor

      `visitXgHeader, visitXgLeaf, visitXgModel, visitXgNode, visitXgValue`

    - ### Methods inherited from class org.antlr.v4.runtime.tree.AbstractParseTreeVisitor

      `aggregateResult, defaultResult, shouldVisitNextChild, visit, visitChildren, visitErrorNode, visitTerminal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Constructor Detail

    - #### XGTreeVisitor

          public XGTreeVisitor(Map<String,Integer> dict)

      Constructs a new instance of tree visitor.
      Parameters:
        `dict` - Dictionary for matching column name and index.

  - ### Method Detail

    - #### visitXgTree

          public DecisionTreeNode visitXgTree(XGBoostModelParser.XgTreeContext ctx)

      Visit a parse tree produced by `XGBoostModelParser.xgTree()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitXgTree` in interface `XGBoostModelVisitor<DecisionTreeNode>`
      Overrides:
        `visitXgTree` in class `XGBoostModelBaseVisitor<DecisionTreeNode>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021